Download it now!
Bug 58070 - RTL [HE] EDITING Switching paragraph style changes character orientation
Summary: RTL [HE] EDITING Switching paragraph style changes character orientation
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.2.2 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 96859 (view as bug list)
Depends on:
Blocks: RTL-CTL Writer-Styles-Paragraph
  Show dependency treegraph
 
Reported: 2012-12-10 08:07 UTC by Inkbug
Modified: 2019-10-01 03:02 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Downstream attachment (12.50 KB, application/msword)
2013-05-29 11:09 UTC, Christopher M. Penalver
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Inkbug 2012-12-10 08:07:33 UTC
Steps to reproduce:
1. Create new paragraph
2. Change paragraph direction to RTL
3. Change paragraph style to Heading 1

Current Behavior:
The paragraph becomes a heading but switches back to LTR direction.

Expected Behavior:
The paragraph becomes a heading but stays RTL.
Comment 1 Christopher M. Penalver 2013-05-29 11:09:00 UTC
Created attachment 79954 [details]
Downstream attachment
Comment 2 Christopher M. Penalver 2013-05-29 11:27:54 UTC
As per downstream report https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1093765 :

1) lsb_release -rd
Description: Ubuntu 13.04
Release: 13.04

2) apt-cache policy libreoffice-writer
libreoffice-writer:
  Installed: 1:4.0.2-0ubuntu1
  Candidate: 1:4.0.2-0ubuntu1
  Version table:
 *** 1:4.0.2-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ raring/main i386 Packages
        100 /var/lib/dpkg/status

3) What is expected to happen in Writer via a terminal:
cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1093765/+attachment/3688368/+files/test-bug1093765.doc && lowriter --nologo test-bug1093765.doc

is select all -> change combo box Apply Style from Text Body to Heading 1 and the text style changes, preserving the character order.

4) What happens instead is:
(Example text=) טקסט לדוגמה

changes to:
טקסט לדוגמה (=Example text)

Microsoft Office Professional Plus 2010 Word Version 14.0.6023.1000 (32-bit) changes it to:
=)טקסט לדוגמהExample text(
Comment 3 QA Administrators 2015-03-04 02:21:25 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-03-22 14:12:31 UTC
(In reply to Inkbug from comment #0)
> Steps to reproduce:
> 1. Create new paragraph
> 2. Change paragraph direction to RTL
> 3. Change paragraph style to Heading 1
> 
> Current Behavior:
> The paragraph becomes a heading but switches back to LTR direction.
> 
> Expected Behavior:
> The paragraph becomes a heading but stays RTL.

Reproduced.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 5 Buovjaga 2016-01-04 11:39:56 UTC
*** Bug 96859 has been marked as a duplicate of this bug. ***
Comment 6 Omer Zak 2017-11-03 01:31:37 UTC
Still happens in:

Version: 5.4.2.2.0+
Build ID: 1:5.4.2-3~bpo9+1
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.utf8); Calc: group

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)
Comment 7 Dina 2018-09-17 19:36:11 UTC
(In reply to Inkbug from comment #0)
> Steps to reproduce:
> 1. Create new paragraph
> 2. Change paragraph direction to RTL
> 3. Change paragraph style to Heading 1
> 
> Current Behavior:
> The paragraph becomes a heading but switches back to LTR direction.
> 
> Expected Behavior:
> The paragraph becomes a heading but stays RTL.

Managed to reproduce it by following your instructions on the "Downstream attachment" file, but not on a new document.

Lubuntu 18.04.1 32bit

LibreOffice Version: 6.1.1.2
Build ID: 1:6.1.1~rc2-0ubuntu0.18.04.1~lo3
CPU threads: 1; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: he-IL (en_US.UTF-8); Calc: group threaded
Comment 8 QA Administrators 2019-10-01 03:02:36 UTC
Dear Inkbug,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug